Draft: PointArray

From FreeCAD Documentation
Revision as of 14:22, 1 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft PointArray

Menu location
Draft → PointArray
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.18
See also
Draft Array, Draft PathArray

Descriere

Instrumentul PointArray plasează copii ale unei forme selectate de-a lungul diferitelor puncte selectate.

The PointArray tool can be used on any object that has a Part TopoShape, meaning 2D shapes created with the Draft Workbench, but also 3D solids created with other workbenches, for example, Part, PartDesign, or Arch.

Object arranged at specific points

Cum se folosește

  1. Creați un obiect de formă pe care doriți să îl distribuiți. Veți obține cele mai bune rezultate dacă obiectul dvs. este centrat în jurul originii "" ', adică dacă Date position este [0, 0, 0].
  2. Poziționați punctele folosind Punct de tragere.
  3. Selectați punctele și creați o combinație a acestora utilizând Draft Upgrade.
  4. Mai întâi selectați forma, apoi noul compus punct, apoi apăsați butonul 16px Draft PointArray.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Point compound

The point compound object can be created in different ways.

In essence, the object to be used as the compound must have one of three properties, DateComponents, DateLinks, or DateGeometry, and inside that compound, there must be at least one point with DateX, DateY, and DateZ properties.

Note: in the case of Draft Point and Part Point the array will try to position the copies using the DatePlacement of the point. In the case of a Sketcher Point, the position will be taken from its internal X, Y, and Z attributes.

Note 2: for Draft Point its DatePlacement always follows the values of DateX, DateY, DateZ, so modifying these values is enough to produce the desired displacement. However, for Part Point, the net displacement is given by the sum of DatePlacement with the vector with components DateX, DateY, and DateZ.

Opţiuni

  • Matricea de repetabilitate începe cu copii ale formelor care nu sunt aliniate la cale, nici traduse la o nouă poziție în mod implicit. Apoi puteți schimba vectorul, aliniere și/sau transalație în proprietăți.

Proprietăți

A PointArray is derived from a Part Feature (Part::Feature class), therefore it shares all the latter's properties. In addition to the properties described in Part Feature, the PointArray has the following properties in the property editor.

  • Date Base: Obiectul formei
  • Date Count: Numărul de copiere a formei (numai pentru citire)
  • Date PointList: un compus de puncte

Scrip-Programare

Instrumentul PointArray poate fi utilizat în macros și de la consola Python utilizând următoarele funcții:

Older call

point_array = makePointArray(base_object, point_object)

New call

point_array = make_point_array(base_object, point_object, extra=None):
  • base este forma de copiat și ptlst este un obiect cu geometrie, legături sau componente care definesc poziția copiilor.

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()